Bug 62860 - ide-scsi module not loaded when CD-writer DMA gets disabled
ide-scsi module not loaded when CD-writer DMA gets disabled
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
skipjack-beta2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-06 11:24 EST by Michael Schwendt
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 01:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example patch (1006 bytes, patch)
2002-04-09 10:31 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2002-04-06 11:24:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
Fresh installation of skipjack-beta2. I boot with

  Kernel command line: ro root=/dev/hda11 hdc=ide-scsi

and see 

  /dev/hdc: No such device or address

right after root fs has been remounted rw. Investigation has revealed that
rc.sysinit tries to turn off DMA on CD-ROM units at that time, but has not
loaded the ide-scsi kernel module yet. This is done later. I assume this is the
cause of above error message.


Version-Release number of selected component (if applicable):
6.61-1

How reproducible:
Always

Steps to Reproduce:
Boot system with ATAPI CD-writer as IDE secondary master and kernel option
"hdc=ide-scsi".


Actual Results:  Remounting root filesystem in read-write mode:    [  OK  ]
/dev/hdc: No such device or address


Expected Results:  Remounting root filesystem in read-write mode:    [  OK  ]
/dev/hdc:
 setting using_dma to 0 (off)
 using_dma    =  0 (off)
Comment 1 Michael Schwendt 2002-04-09 10:31:46 EDT
Created attachment 52844 [details]
example patch
Comment 2 Michael Schwendt 2002-04-09 10:34:58 EDT
Yes. If I move the "Turn off DMA on CD-ROMs" block further down in rc.sysinit
where ide-cd and ide-scsi modules are loaded, it works. I also had to add option
"-q" to get hdparm quiet. Else it prints on standard output with staircase effect.
Comment 3 Bill Nottingham 2002-04-10 01:45:22 EDT
Will be fixed in 6.62-1.

Note You need to log in before you can comment on or make changes to this bug.